# DataExchange
TKSTEP209
StepElement

# StepElement_HArray2OfCurveElementPurposeMember Class Reference

`#include <StepElement_HArray2OfCurveElementPurposeMember.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_HArray2OfCurveElementPurposeMember (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepElement_HArray2OfCurveElementPurposeMember (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(StepElement_CurveElementPurposeMember)&V)
Standard_EXPORT void | Init (const Handle(StepElement_CurveElementPurposeMember)&V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepElement_CurveElementPurposeMember)&Value)
Standard_EXPORT const Handle_StepElement_CurveElementPurposeMember & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Handle_StepElement_CurveElementPurposeMember & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const StepElement_Array2OfCurveElementPurposeMember & | Array2 () const
StepElement_Array2OfCurveElementPurposeMember & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_Array2OfCurveElementPurposeMember | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray2OfCurveElementPurposeMember::StepElement_HArray2OfCurveElementPurposeMember | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepElement_HArray2OfCurveElementPurposeMember::StepElement_HArray2OfCurveElementPurposeMember | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(StepElement_CurveElementPurposeMember)& | V
| ) |

## Member Function Documentation

const StepElement_Array2OfCurveElementPurposeMember& StepElement_HArray2OfCurveElementPurposeMember::Array2 | ( |  | ) | const

StepElement_Array2OfCurveElementPurposeMember& StepElement_HArray2OfCurveElementPurposeMember::ChangeArray2 | ( |  | ) |

Standard_EXPORT Handle_StepElement_CurveElementPurposeMember& StepElement_HArray2OfCurveElementPurposeMember::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::ColLength | ( |  | ) | const

Standard_EXPORT const StepElement_HArray2OfCurveElementPurposeMember::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray2OfCurveElementPurposeMember::Init | ( | const Handle(StepElement_CurveElementPurposeMember)& | V | ) |

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::LowerCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::LowerRow | ( |  | ) | const

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::RowLength | ( |  | ) | const

void StepElement_HArray2OfCurveElementPurposeMember::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepElement_CurveElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::UpperCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfCurveElementPurposeMember::UpperRow | ( |  | ) | const

Standard_EXPORT const Handle_StepElement_CurveElementPurposeMember& StepElement_HArray2OfCurveElementPurposeMember::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

StepElement_Array2OfCurveElementPurposeMember StepElement_HArray2OfCurveElementPurposeMember::myArray `[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray2OfCurveElementPurposeMember.hxx